---
references:
- id: Devroye1986Nonuniform
  author:
    - family: Devroye
      given: Luc
  citation-key: Devroye1986Nonuniform
  event-place: New York
  ISBN: 978-0-387-96305-1
  issued:
    - year: 1986
  language: eng
  number-of-pages: '843'
  publisher: Springer
  publisher-place: New York
  title: Non-uniform random variate generation
  type: book
  URL: http://www.nrbook.com/devroye/

- id: Devroye2006Nonuniform
  accessed:
    - year: 2020
      month: 6
      day: 21
  author:
    - family: Devroye
      given: Luc
  citation-key: Devroye2006Nonuniform
  collection-title: Handbooks in Operations Research and Management Science
  container-title: Simulation
  DOI: 10.1016/S0927-0507(06)13004-2
  editor:
    - family: Henderson
      given: Shane G.
    - family: Nelson
      given: Barry L.
  issued:
    - year: 2006
      month: 1
      day: 1
  language: en
  page: 83-121
  publisher: Elsevier
  title: Nonuniform Random Variate Generation
  type: chapter
  URL: http://luc.devroye.org/handbooksimulation1.pdf
  volume: '13'

- id: Nisan1994Hardness
  accessed:
    - year: 2024
      month: 4
      day: 15
  author:
    - family: Nisan
      given: Noam
    - family: Wigderson
      given: Avi
  citation-key: Nisan1994Hardness
  container-title: Journal of Computer and System Sciences
  container-title-short: Journal of Computer and System Sciences
  DOI: 10.1016/S0022-0000(05)80043-1
  ISSN: 0022-0000
  issue: '2'
  issued:
    - year: 1994
      month: 10
      day: 1
  page: 149-167
  title: Hardness vs randomness
  type: article-journal
  volume: '49'

- id: Perekrestenko2020Constructive
  author:
    - family: Perekrestenko
      given: Dmytro
    - family: Müller
      given: Stephan
    - family: Bölcskei
      given: Helmut
  citation-key: Perekrestenko2020Constructive
  issued:
    - year: 2020
  language: en
  title: >-
    Constructive Universal High-Dimensional Distribution Generation through Deep
    ReLU Networks
  type: article-journal
  URL: https://arxiv.org/abs/2006.16664

- id: Perekrestenko2021Highdimensional
  accessed:
    - year: 2023
      month: 9
      day: 8
  author:
    - family: Perekrestenko
      given: Dmytro
    - family: Eberhard
      given: Léandre
    - family: Bölcskei
      given: Helmut
  citation-key: Perekrestenko2021Highdimensional
  container-title: Partial Differential Equations and Applications
  container-title-short: Partial Differ. Equ. Appl.
  DOI: 10.1007/s42985-021-00115-6
  ISSN: 2662-2963, 2662-2971
  issue: '5'
  issued:
    - year: 2021
      month: 10
  language: en
  page: '64'
  publisher: arXiv
  title: High-dimensional distribution generation through deep neural networks
  type: article-journal
  URL: https://arxiv.org/abs/2107.12466
  version: '3'
  volume: '2'
...
